From 52a099230a79bd49854f25f2f2803a8c87f9ff2d Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 31 Dec 2021 22:07:17 -0600
Subject: [PATCH 05/10] respect LZ4 compression level

---
 src/common/z_stream.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/common/z_stream.c b/src/common/z_stream.c
index ace88ad566b..9bc28f85eab 100644
--- a/src/common/z_stream.c
+++ b/src/common/z_stream.c
@@ -564,7 +564,7 @@ lz4_compress(void *c_stream, void const *src, size_t src_size, size_t *src_proce
     Assert(dst_size >= LZ4_compressBound(src_size));
 
 	cmpBytes = LZ4_compress_fast_continue(
-            cs->stream, (char *) (cs->buf) + cs->buf_pos, dst, (int) src_size, (int) dst_size, 1);
+            cs->stream, (char *) (cs->buf) + cs->buf_pos, dst, (int) src_size, (int) dst_size, cs->level);
 
     Assert(cmpBytes > 0);
     Assert(cmpBytes <= MESSAGE_MAX_BYTES);
-- 
2.17.1

